<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.12.303
Name: CDA Observation
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.12.303-2005-09-07T000000">
   <title>CDA Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']"
         id="tmp-r-c234adb4-7660-4e2c-b02c-37e18013772e">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(CDAObservation): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@moodCode">(CDAObservation): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CDAObservation): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.18943-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(CDAObservation): The value for moodCode SHALL be selected from value set 'x_ActMoodDocumentObservation' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAObservation): Attribute @negationInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.303'])&gt;=1 ">(CDAObservation): element hl7:templateId[@root='2.16.840.1.113883.10.12.303'] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.303'])&lt;=1">(CDAObservation): element hl7:templateId[@root='2.16.840.1.113883.10.12.303'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDAObservation): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDAObservation): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:derivationExpr)&lt;=1">(CDAObservation): element hl7:derivationExpr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAObservation): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAObservation): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAObservation): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(CDAObservation): element hl7:priorityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:repeatNumber)&lt;=1">(CDAObservation): element hl7:repeatNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:languageCode)&lt;=1">(CDAObservation): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:subject)&lt;=1">(CDAObservation): element hl7:subject appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:templateId[@root='2.16.840.1.113883.10.12.303']
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:templateId[@root='2.16.840.1.113883.10.12.303']"
         id="tmp-r-5d9ac615-9e76-4722-8b02-ad5786c93cde">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.12.303')">(CDAObservation): The value for @root SHALL be '2.16.840.1.113883.10.12.303'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:id
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:id"
         id="tmp-r-cf72253b-6e0f-4686-b22d-5d62435ccfbc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-e0609e2c-87c1-4ef6-8c37-1d927d7f6d2b">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservation): The element value SHALL be one of 'ObservationType (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAObservation): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ObservationType (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:derivationExpr
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:derivationExpr"
         id="tmp-r-4b2e9443-1bbf-4d5e-b6fe-207711996699">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:text
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:text"
         id="tmp-r-28fc3b61-06b0-4cde-ae75-0e6301f24c19">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:statusCode
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:statusCode"
         id="tmp-r-d11e829b-4d52-4e84-84f1-1ccb99382541">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAObservation): The element value SHALL be one of 'ActStatus (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAObservation): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:effectiveTime
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:effectiveTime"
         id="tmp-r-c3a8746a-ed53-40cd-a03c-78e12c7535d9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:priorityCode
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:priorityCode"
         id="tmp-r-816572e1-86c6-421d-af19-08bdbabc80fe">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservation): The element value SHALL be one of 'ActPriority (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAObservation): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActPriority (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:repeatNumber
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:repeatNumber"
         id="tmp-r-be8e750f-1bce-4d2f-ac94-7a51c46170af">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_INT"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:languageCode
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:languageCode"
         id="tmp-r-d6eea041-2169-4d04-868d-b6742c355854">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:value
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:value"
         id="tmp-r-85642839-d8cb-4deb-b557-3c4c0ba93043">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:interpretationCode
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:interpretationCode"
         id="tmp-r-1ba4caa9-b6ad-4777-a2aa-cd008e0aadaf">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservation): The element value SHALL be one of 'ObservationInterpretation (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAObservation): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ObservationInterpretation (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:methodCode
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:methodCode"
         id="tmp-r-e22932d6-249a-4cb1-b115-78cc37efbfdb">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservation): The element value SHALL be one of 'ObservationMethod (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAObservation): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ObservationMethod (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:targetSiteCode
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:targetSiteCode"
         id="tmp-r-ec30de2c-38bb-4045-9729-6b4791368851">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(CDAObservation): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.1052''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:subject
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: sasips-d109e85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:subject
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:specimen
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: sasips-d109e87
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:specimen
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:performer
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: sasips-d109e89
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:performer
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:author
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: sasips-d109e91
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:author
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:informant
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: sasips-d109e93
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:informant
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAParticipantBody): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAParticipantBody): The value for typeCode SHALL be selected from value set 'ParticipationType' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAParticipantBody): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode)&lt;=1">(CDAParticipantBody): element hl7:awarenessCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&lt;=1">(CDAParticipantBody): element hl7:participantRole appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:time
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:time">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:awarenessCode
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:awarenessCode">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): The element value SHALL be one of 'TargetAwareness (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set TargetAwareness (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ROL') or not(@classCode)">(CDAParticipantBody): The value for @classCode SHALL be 'ROL'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): element hl7:code appears to often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice|hl7:playingEntity)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAParticipantBody): choice (hl7:playingDevice or hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(CDAParticipantBody): element hl7:scopingEntity appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:id">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:code">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAParticipantBody): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:addr">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:telecom">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: sasips-d1636e40
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: sasips-d1636e42
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDAParticipantBody): The value for @classCode SHALL be 'ENT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDAParticipantBody): element hl7:desc appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): The element value SHALL be one of 'EntityCode (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:entryRelationship
Item: (CDAObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:entryRelationship">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@typeCode">(CDAObservation): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAObservation): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAObservation): The value for typeCode SHALL be selected from value set 'x_ActRelationshipEntryRelationship' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAObservation): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(CDAObservation): Attribute @inversionInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAObservation): Attribute @negationInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(CDAObservation): element hl7:sequenceNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAObservation): element hl7:seperatableInd appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:entryRelationship/hl7:sequenceNumber
Item: (CDAObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:entryRelationship/hl7:sequenceNumber">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="$digitok or @nullFlavor">(CDAObservation): @value is not a valid INT number <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:entryRelationship/hl7:seperatableInd
Item: (CDAObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:entryRelationship/hl7:seperatableInd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e98
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:entryRelationship
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:reference
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:reference
Item: (CDAReference)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:reference">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="@typeCode">(CDAReference): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAReference): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAReference): element hl7:seperatableInd appears to often [max 1x].</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAReference): choice () does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAReference): choice () contains too many elements [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:reference/hl7:seperatableInd
Item: (CDAReference)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:reference/hl7:seperatableInd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:precondition
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: sasips-d109e119
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:precondition
Item: (CDAObservation)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange"
         id="tmp-r-14662e0d-97b8-4c8a-8e66-71caa61a367d">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="string(@typeCode)=('REFV')">(CDAObservation): The value for @typeCode SHALL be 'REFV'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:observationRange)&gt;=1 ">(CDAObservation): element hl7:observationRange is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:observationRange)&lt;=1">(CDAObservation): element hl7:observationRange appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange"
         id="tmp-r-d0835dd0-8d78-45dd-9d22-c2da5b2ed866">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(CDAObservation): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN.CRT') or not(@moodCode)">(CDAObservation): The value for @moodCode SHALL be 'EVN.CRT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAObservation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDAObservation): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:value)&lt;=1">(CDAObservation): element hl7:value appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="count(hl7:interpretationCode)&lt;=1">(CDAObservation): element hl7:interpretationCode appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange/hl7:code
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange/hl7:code"
         id="tmp-r-d57e9331-8453-4b3c-b4d5-c8d58c315d3c">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAObservation): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange/hl7:text
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange/hl7:text"
         id="tmp-r-772efb21-ebc1-4c5b-bbd8-881239b7ead7">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange/hl7:value
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange/hl7:value"
         id="tmp-r-1d4f19aa-5762-439b-8592-21be12452e56">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.303
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode
Item: (CDAObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.12.303']/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode"
         id="tmp-r-b359732d-8030-449e-99c4-9d2a413e48a2">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAObservation): The element value SHALL be one of 'ObservationInterpretation (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.303-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAObservation): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ObservationInterpretation (DYNAMIC).</assert>
   </rule>
</pattern>
