<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Name: Minimal CDA document
Description: A minimal CDA Release 2 document, that contains only a few attributes and relationships for the ClinicalDocument class:  
                     typeId: fixed 
                     id: unique id of the document instance 
                     code: type of document 
                     effectiveTime: creation date of the document 
                     confidentialityCode: confidentiality level indication for this document 
                     recordTarget: the record target (e.g. patient) 
                     author: author of this document 
                     custodian: custodian for this document 
                     component: contains (in this case) structured body 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000">
   <title>Minimal CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /
Item: (MinimalCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']"
         id="tmp-r-41f5c059-e687-4615-bf99-958902386b45">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/@nullFlavor)">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'])&lt;=1">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(MinimalCDAdocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(MinimalCDAdocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:title)&lt;=1">(MinimalCDAdocument): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(MinimalCDAdocument): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(MinimalCDAdocument): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(MinimalCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(MinimalCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(MinimalCDAdocument): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(MinimalCDAdocument): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&lt;=1">(MinimalCDAdocument): element hl7:custodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-08de68b4-9f80-4e57-8c11-390548d0a0eb">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="string(@extension)=('POCD_HD000040')">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.1.3')">(CDAtypeId): The value for @root SHALL be '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']"
         id="tmp-r-0e26b07a-0208-4d5c-b4b1-a7122ae8a34c">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.3.1937.99.61.13.10.1')">(MinimalCDAdocument): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.61.13.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:id
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:id"
         id="tmp-r-bbae6c2d-2545-42e4-8138-05bc6e26333b">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a9543a90-7f03-4ba4-bf9f-ff88dd314835">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')">(MinimalCDAdocument): The element value SHALL be one of 'code '11524-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:title"
         id="tmp-r-865fdb85-017f-419f-854e-4459a4e7f814">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900003-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900004
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:effectiveTime"
         id="tmp-r-79d7c112-6083-41eb-9bd8-f59648303cc4">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900005
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-ae144445-2f14-4539-ad3e-e91546dffa78">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be one of 'BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget"
         id="tmp-r-7788960f-f194-465b-a04b-ea578157b3ff">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-65081cf2-6321-45cd-a8df-6c010190a6fc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (NationalPatientIdentifier)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-9c73d5a9-3756-4ba3-8e11-e5b2924b09f5">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NationalPatientIdentifier): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(NationalPatientIdentifier): The value for @root SHALL be '2.16.840.1.113883.2.4.6.3'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="@extension">(NationalPatientIdentifier): attribute @extension SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-3fc50c65-0b65-4c1f-bd0b-0401afc8a91d">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-2a7cb77b-1008-44de-927a-5947749453d3">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-45de2825-29b8-432f-b222-1643735fb91c">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be one of 'AdministrativeGender AdministrativeGender (HL7) (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender AdministrativeGender (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-faa49ba7-3534-4da8-9608-6c67dbd0c821">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author"
         id="tmp-r-fa24eeb5-af4a-4278-b7d9-d201b528c5e9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:time"
         id="tmp-r-b7ecb089-7995-445c-a062-1022c68836f8">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor"
         id="tmp-r-e1bd3bf6-3ee7-4dc0-99a0-389f6fabf592">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAauthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-ca446648-26e7-4cba-8b9f-1c286738da3e">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-bdfe7ef1-f641-4b23-a7ac-037902f8f276">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-af4872f7-12f5-434f-9b5b-c66061b3c77f">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900200-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-0d42e588-5c9a-4643-8158-f8b3ff4c0643">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-2dd8c388-7804-4409-92ce-f74a74889947">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-f0c1d973-ec2d-4f56-bc52-47b7425afbab">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-c0c2530c-a517-4a23-8596-4c47461c5b9e">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-697d1794-acc1-4d80-bab4-699f86ca118e">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian"
         id="tmp-r-c6aa4224-5a2e-45ec-9c3a-910f746550b9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@typeCode)=('CST') or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-00b8b7d8-57df-46f0-885b-41f6b4927757">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-72cffa9c-7040-4bb0-8054-d8d3451f4e72">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-77dc6e72-0da0-4443-a3ad-1204dbfe27ce">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-50d65e03-3d42-4b26-9747-e04bcc7d1eb7">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-acb8d57a-055b-4bac-9c06-bf5048af764a">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-089da31c-3ca2-4e74-9625-5fe8271c779b">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component"
         id="tmp-r-017efbe0-46b8-40e2-be6e-04f5416c9a54">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody"
         id="tmp-r-aa45428f-9300-44c4-bcc0-cc92f3cc9ead">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@classCode)=('DOCBODY') or not(@classCode)">(MinimalCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(MinimalCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]/@nullFlavor)">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']])&lt;=1">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]
Item: (MinimalCDAdocument)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
