<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.900210
Name: CDA Laboratory Report Data Processing Entry
Description: Template CDA Act (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233">
   <title>CDA Laboratory Report Data Processing Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900210
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900210']]
Item: (CDALaboratoryReportDataProcessingEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900210
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900210']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1']
Item: (CDALaboratoryReportDataProcessingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900210']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1']"
         id="tmp-r-f1ada7e2-8def-4bbe-99bc-e5c93e866bce">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="@classCode">(CDALaboratoryReportDataProcessingEntry): attribute @classCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDALaboratoryReportDataProcessingEntry): Attribute @classCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19599-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDALaboratoryReportDataProcessingEntry): The value for classCode SHALL be selected from value set 'x_ActClassDocumentEntryAct' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="@moodCode">(CDALaboratoryReportDataProcessingEntry): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CDALaboratoryReportDataProcessingEntry): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19458-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(CDALaboratoryReportDataProcessingEntry): The value for moodCode SHALL be selected from value set 'x_DocumentActMood' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']/@nullFlavor)">(CDALaboratoryReportDataProcessingEntry): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1'])&lt;=1">(CDALaboratoryReportDataProcessingEntry): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&gt;=1 ">(CDALaboratoryReportDataProcessingEntry): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor])&lt;=1">(CDALaboratoryReportDataProcessingEntry): element hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900210
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900210']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']
Item: (CDALaboratoryReportDataProcessingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900210']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1']"
         id="tmp-r-0617d925-8d75-44b6-ad78-6309b5893bcc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDALaboratoryReportDataProcessingEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.3.1')">(CDALaboratoryReportDataProcessingEntry): The value for @root SHALL be '1.3.6.1.4.1.19376.1.3.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900210
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900210']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1']/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]
Item: (CDALaboratoryReportDataProcessingEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900210']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1']/hl7:code[@codeSystem='2.16.840.1.113883.5.4' or @nullFlavor]"
         id="tmp-r-dcfeb11e-0cd3-4c98-ba30-cd936eb17fe3">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDALaboratoryReportDataProcessingEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDALaboratoryReportDataProcessingEntry): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
</pattern>
