<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Name: CDA History of Past Illness Section
Description: 
                 The History of Past Illness section shall contain a narrative description of the conditions the patient suffered in the past. It shall include entries for problems as described in the Entry Content Modules. 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637">
   <title>CDA History of Past Illness Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]
Item: (CDAHistoryofPastIllnessSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']
Item: (CDAHistoryofPastIllnessSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']"
         id="tmp-r-e926c3b5-738a-4c13-8745-295c3676a579">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(CDAHistoryofPastIllnessSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAHistoryofPastIllnessSection): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/@nullFlavor)">(CDAHistoryofPastIllnessSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8'])&lt;=1">(CDAHistoryofPastIllnessSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:id)&lt;=1">(CDAHistoryofPastIllnessSection): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:code)&lt;=1">(CDAHistoryofPastIllnessSection): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:title)&lt;=1">(CDAHistoryofPastIllnessSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:text)&lt;=1">(CDAHistoryofPastIllnessSection): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:confidentialityCode)&lt;=1">(CDAHistoryofPastIllnessSection): element hl7:confidentialityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:languageCode)&lt;=1">(CDAHistoryofPastIllnessSection): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="count(hl7:subject)&lt;=1">(CDAHistoryofPastIllnessSection): element hl7:subject appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']
Item: (CDAHistoryofPastIllnessSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']"
         id="tmp-r-67784998-927f-40c5-b2be-024d74c46f59">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHistoryofPastIllnessSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.3.8')">(CDAHistoryofPastIllnessSection): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.8'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:id
Item: (CDAHistoryofPastIllnessSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:id"
         id="tmp-r-2ad4463c-c155-42ec-bb18-79dec80b0873">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHistoryofPastIllnessSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:code
Item: (CDAHistoryofPastIllnessSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:code"
         id="tmp-r-40908e6e-73d2-4e14-8ba2-3d5556e75d22">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHistoryofPastIllnessSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="@nullFlavor or (@code='11348-0' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(CDAHistoryofPastIllnessSection): The element value SHALL be one of 'code '11348-0' codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:title
Item: (CDAHistoryofPastIllnessSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:title"
         id="tmp-r-753531c0-4b58-4b91-953a-f5265af10ff8">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHistoryofPastIllnessSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:text
Item: (CDAHistoryofPastIllnessSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:text"
         id="tmp-r-b3f60b13-ff93-4982-9790-fd9000933914">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHistoryofPastIllnessSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:confidentialityCode
Item: (CDAHistoryofPastIllnessSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:confidentialityCode"
         id="tmp-r-2bfc7778-0526-4a9a-b63a-f3204afe4777">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHistoryofPastIllnessSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:languageCode
Item: (CDAHistoryofPastIllnessSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:languageCode"
         id="tmp-r-9669d2b6-f2fc-4ce2-90b8-e842cd99c443">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAHistoryofPastIllnessSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:subject
Item: (CDAHistoryofPastIllnessSection)
-->

   <!--
Template derived rules for ID: sasips-d109e2361
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:subject
Item: (CDAHistoryofPastIllnessSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:author
Item: (CDAHistoryofPastIllnessSection)
-->

   <!--
Template derived rules for ID: sasips-d109e2363
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:author
Item: (CDAHistoryofPastIllnessSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:informant
Item: (CDAHistoryofPastIllnessSection)
-->

   <!--
Template derived rules for ID: sasips-d109e2366
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:informant
Item: (CDAHistoryofPastIllnessSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:entry[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']]
Item: (CDAHistoryofPastIllnessSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:entry[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']]">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="@typeCode">(CDAHistoryofPastIllnessSection): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAHistoryofPastIllnessSection): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAHistoryofPastIllnessSection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900214
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:component
Item: (CDAHistoryofPastIllnessSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:component">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(CDAHistoryofPastIllnessSection): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAHistoryofPastIllnessSection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e2378
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900214']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:component
Item: (CDAHistoryofPastIllnessSection)
--></pattern>
