<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Name: CDA Medications 
Description: Template CDA SubstanceAdministration (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414">
   <title>CDA Medications </title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']"
         id="tmp-r-9a8560d3-43bc-4192-94b2-42b18809acbd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="string(@classCode)=('SBADM')">(CDAMedications): The value for @classCode SHALL be 'SBADM'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="@moodCode">(CDAMedications): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CDAMedications): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19461-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(CDAMedications): The value for moodCode SHALL be selected from value set 'x_DocumentSubstanceMood' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAMedications): Attribute @negationInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7']/@nullFlavor)">(CDAMedications): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'])&lt;=1">(CDAMedications): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'])&gt;=1 ">(CDAMedications): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'])&lt;=1">(CDAMedications): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:code)&lt;=1">(CDAMedications): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:text)&lt;=1">(CDAMedications): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:statusCode)&lt;=1">(CDAMedications): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAMedications): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:priorityCode)&lt;=1">(CDAMedications): element hl7:priorityCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:repeatNumber)&lt;=1">(CDAMedications): element hl7:repeatNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:routeCode)&lt;=1">(CDAMedications): element hl7:routeCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:doseQuantity)&lt;=1">(CDAMedications): element hl7:doseQuantity appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:rateQuantity)&lt;=1">(CDAMedications): element hl7:rateQuantity appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:maxDoseQuantity)&lt;=1">(CDAMedications): element hl7:maxDoseQuantity appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:administrationUnitCode)&lt;=1">(CDAMedications): element hl7:administrationUnitCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:subject)&lt;=1">(CDAMedications): element hl7:subject appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:consumable)&gt;=1 ">(CDAMedications): element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:consumable)&lt;=1">(CDAMedications): element hl7:consumable appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7']
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7']"
         id="tmp-r-72d938b5-fb6c-4658-b47d-5347023e4acc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.7')">(CDAMedications): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.7'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.24']
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.24']"
         id="tmp-r-fe40c5d6-f89b-4bdb-a1d6-dc83bd8a6996">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="string(@root)=('2.16.840.1.113883.10.20.1.24')">(CDAMedications): The value for @root SHALL be '2.16.840.1.113883.10.20.1.24'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:id
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:id"
         id="tmp-r-dbbf15c1-5170-4b46-9b26-376a10eada03">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:code
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:code"
         id="tmp-r-f1ac20b8-fd14-4dce-bdca-54005678b7f9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19708-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAMedications): The element value SHALL be one of 'ActSubstanceAdministrationCode (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19708-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAMedications): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActSubstanceAdministrationCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:text
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:text"
         id="tmp-r-43d795f9-972c-4db9-8af1-986a37cabcb2">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:statusCode
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:statusCode"
         id="tmp-r-e94cdd1d-b21d-41e2-9500-c5648ef7c5c2">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAMedications): The element value SHALL be one of 'ActStatus (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.159331-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAMedications): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:effectiveTime
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:effectiveTime"
         id="tmp-r-0677002a-5f30-4861-96ae-00ebe211a296">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:priorityCode
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:priorityCode"
         id="tmp-r-c2574ada-11e1-4181-b8fd-96a06ee9e53a">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAMedications): The element value SHALL be one of 'ActPriority (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAMedications): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActPriority (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:repeatNumber
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:repeatNumber"
         id="tmp-r-a97bb3eb-5f42-4eaa-b562-0d941567f422">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_INT"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:routeCode
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:routeCode"
         id="tmp-r-16943cb9-76ea-4431-a2b6-987c783034e9">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAMedications): The element value SHALL be one of 'RouteOfAdministration (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAMedications): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set RouteOfAdministration (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:approachSiteCode
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:approachSiteCode"
         id="tmp-r-ceb66f57-460c-483d-8eb7-82dc9fa31750">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(CDAMedications): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.1052''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:doseQuantity
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:doseQuantity"
         id="tmp-r-4424c81f-02c8-4b00-bead-2e671d6f5ee8">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(CDAMedications): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(CDAMedications): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(CDAMedications): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:rateQuantity
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:rateQuantity"
         id="tmp-r-88e98e7a-324e-432c-acea-020c52f4d099">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(CDAMedications): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(CDAMedications): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(CDAMedications): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:maxDoseQuantity
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:maxDoseQuantity"
         id="tmp-r-81c0087d-b1be-4642-a0d5-e74f1c35bffd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='RTO_PQ_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:RTO_PQ_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="RTO_PQ_PQ"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:administrationUnitCode
Item: (CDAMedications)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:administrationUnitCode"
         id="tmp-r-9dda2d1a-dce2-4f5f-9f23-c925814308c6">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.14570-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAMedications): The element value SHALL be one of 'AdministrableDrugForm (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.14570-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAMedications): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrableDrugForm (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:subject
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: sasips-d109e1345
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:subject
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:specimen
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: sasips-d109e1347
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:specimen
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:consumable
Item: (CDAMedications)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:consumable">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="string(@typeCode)=('CSM')">(CDAMedications): The value for @typeCode SHALL be 'CSM'.</assert>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e1349
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:consumable
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:performer
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: sasips-d109e1354
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:performer
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:author
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: sasips-d109e1356
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:author
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:informant
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: sasips-d109e1359
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:informant
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAParticipantBody): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAParticipantBody): The value for typeCode SHALL be selected from value set 'ParticipationType' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAParticipantBody): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode)&lt;=1">(CDAParticipantBody): element hl7:awarenessCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole)&lt;=1">(CDAParticipantBody): element hl7:participantRole appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:time
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:time">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:awarenessCode
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:awarenessCode">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): The element value SHALL be one of 'TargetAwareness (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set TargetAwareness (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ROL') or not(@classCode)">(CDAParticipantBody): The value for @classCode SHALL be 'ROL'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): element hl7:code appears to often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice|hl7:playingEntity)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAParticipantBody): choice (hl7:playingDevice or hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(CDAParticipantBody): element hl7:scopingEntity appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:id">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:code">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAParticipantBody): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:addr">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:telecom">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: sasips-d8831e40
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: sasips-d8831e42
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode)=('ENT') or not(@classCode)">(CDAParticipantBody): The value for @classCode SHALL be 'ENT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAParticipantBody): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc)&lt;=1">(CDAParticipantBody): element hl7:desc appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:id">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:code">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAParticipantBody): The element value SHALL be one of 'EntityCode (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAParticipantBody): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:participant/hl7:participantRole/hl7:scopingEntity/hl7:desc">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAParticipantBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:entryRelationship
Item: (CDAMedications)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:entryRelationship">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="@typeCode">(CDAMedications): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAMedications): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAMedications): The value for typeCode SHALL be selected from value set 'x_ActRelationshipEntryRelationship' (DYNAMIC).</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDAMedications): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(CDAMedications): Attribute @inversionInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(CDAMedications): Attribute @negationInd SHALL be of data type 'bl'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:sequenceNumber)&lt;=1">(CDAMedications): element hl7:sequenceNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAMedications): element hl7:seperatableInd appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:entryRelationship/hl7:sequenceNumber
Item: (CDAMedications)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:entryRelationship/hl7:sequenceNumber">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="$digitok or @nullFlavor">(CDAMedications): @value is not a valid INT number <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:entryRelationship/hl7:seperatableInd
Item: (CDAMedications)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:entryRelationship/hl7:seperatableInd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMedications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: sasips-d109e1363
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:entryRelationship
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:reference
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:reference
Item: (CDAReference)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:reference">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="@typeCode">(CDAReference): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAReference): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="count(hl7:seperatableInd)&lt;=1">(CDAReference): element hl7:seperatableInd appears to often [max 1x].</assert>
      <let name="elmcount" value="count()"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAReference): choice () does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAReference): choice () contains too many elements [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.324
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:reference/hl7:seperatableInd
Item: (CDAReference)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:reference/hl7:seperatableInd">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20150715T124319/tmp-2.16.840.1.113883.10.12.324-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900205
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:precondition
Item: (CDAMedications)
-->

   <!--
Template derived rules for ID: sasips-d109e1384
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900205']]/hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.24']/hl7:precondition
Item: (CDAMedications)
--></pattern>
